Add a single contact to a contact list
curl --request POST \
--url https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
'import requests
url = "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts"
payload = {
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_number: '<string>',
phone_number_2: '<string>',
phone_number_3: '<string>',
contact_info: {}
})
};
fetch('https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {},
"contact_list_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Contacts
Add a single contact to a contact list
POST
/
v1
/
contact-lists
/
{contact_list_id}
/
contacts
Add a single contact to a contact list
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Path Parameters
Body
application/json
Contact's full name.
Maximum string length:
255Primary phone number (E.164 format recommended, e.g. +14155551234).
Secondary phone number.
Tertiary phone number.
Arbitrary JSON metadata for the contact. Use this to store custom fields like email, address, company, or any key-value data your bot or campaign needs (e.g. {"email": "john@example.com", "company": "Acme", "plan": "enterprise"}).
Response
Contact created
Unique identifier.
Contact's name.
Primary phone number.
Secondary phone number.
Tertiary phone number.
Custom metadata JSON.
ID of the parent contact list.
Was this page helpful?
⌘I